<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

only_reg();
$set['title']='Редактирование анкеты';
include_once '../../sys/inc/thead.php';
title();
aut();

if (isset($_POST['save'])){

//-----------------Ориентация-----------------//

if (isset($_POST['ank_orien']) && $_POST['ank_orien']==1)
{
$user['ank_orien']=1;
mysql_query("UPDATE `user` SET `ank_orien` = '1' WHERE `id` = '$user[id]' LIMIT 1");
}
if (isset($_POST['ank_orien']) && $_POST['ank_orien']==0)
{
$user['ank_orien']=0;
mysql_query("UPDATE `user` SET `ank_orien` = '0' WHERE `id` = '$user[id]' LIMIT 1");
}
if (isset($_POST['ank_orien']) && $_POST['ank_orien']==2)
{
$user['ank_orien']=2;
mysql_query("UPDATE `user` SET `ank_orien` = '2' WHERE `id` = '$user[id]' LIMIT 1");
}
if (isset($_POST['ank_orien']) && $_POST['ank_orien']==3)
{
$user['ank_orien']=3;
mysql_query("UPDATE `user` SET `ank_orien` = '3' WHERE `id` = '$user[id]' LIMIT 1");
}
//----------------о партнере-------------//
if (isset($_POST['ank_o_par']) && strlen2($_POST['ank_o_par'])<=215)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\!\?\.,]#ui',$_POST['ank_o_par']))$err[]='В поле "О партнере" используются запрещенные символы';
else {
$user['ank_o_par']=$_POST['ank_o_par'];
mysql_query("UPDATE `user` SET `ank_o_par` = '".my_esc($user['ank_o_par'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='О партнере нужно писать меньше :)';

if (!isset($err)) {
$_SESSION['message'] = 'Изменения успешно приняты';

	mysql_query("UPDATE `user` SET `rating_tmp` = '".($user['rating_tmp']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
		
		if (isset($_GET['act']) && $_GET['act']=='ank')
			header("Location: /user/info/anketa.php?".SID);			
		else
			header("Location: /user/info/edit.znakom.php?".SID);
			exit;
}
}
err();
echo "<div id='comments' class='menus'>";

echo "<div class='webmenu last'>";
echo "<a href='/user/info/edit.php'>Основное</a>";
echo "</div>"; 

echo "<div class='webmenu'>";
echo "<a href='/user/info/edit.znakom.php' class='activ'>Знакомства</a>";
echo "</div>"; 

echo "<div class='webmenu last'>";
echo "<a href='/user/info/edit.kont.php'>Контакты</a>";
echo "</div>";
echo "</div>";

echo "<form method='post' action=''>";	
echo "<div class='nav2'>";
echo "Ориентация:<br /> 
	<input name='ank_orien' type='radio' ".($user['ank_orien']==0?' checked="checked"':null)." value='0' />Не указано<br />
	<input name='ank_orien' type='radio' ".($user['ank_orien']==1?' checked="checked"':null)." value='1' />Гетеро<br />
	<input name='ank_orien' type='radio' ".($user['ank_orien']==2?' checked="checked"':null)." value='2' />Би<br />
	<input name='ank_orien' type='radio' ".($user['ank_orien']==3?' checked="checked"':null)." value='3' />Гей/Лесби<br />";

echo "О партнере:<br /><input type='text' name='ank_o_par' value='$user[ank_o_par]' maxlength='215' /><br />";
echo "<input type='submit' name='save' value='Сохранить' /></div></form>\n";

echo "<div class='foot'><img src='/style/icons/str.gif' alt='*'> <a href='anketa.php'>Посмотреть анкету</a></div>";

include_once '../../sys/inc/tfoot.php';
?>